Package org.opensaml.soap.wssecurity.impl

# Class CreatedBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<WSSecurityObjectType>
org.opensaml.soap.wssecurity.impl.AbstractWSSecurityObjectBuilder<Created>
org.opensaml.soap.wssecurity.impl.CreatedBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<Created>`, `WSSecurityObjectBuilder<Created>`

public class CreatedBuilder extends AbstractWSSecurityObjectBuilder<Created>
Builder for the <wsu:Created> element.

## Constructor Summary

Constructors
Constructor
Description
`CreatedBuilder()`

## Method Summary

Modifier and Type
Method
Description
`Created`
`buildObject()`
Builds a WS-Security object of the given type.
`Created`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### CreatedBuilder

public CreatedBuilder()

## Method Details

### buildObject

@Nonnull public Created buildObject()
Description copied from class: `AbstractWSSecurityObjectBuilder`
Builds a WS-Security object of the given type.

Specified by:
  `buildObject` in interface `WSSecurityObjectBuilder<Created>`
Specified by:
  `buildObject` in class `AbstractWSSecurityObjectBuilder<Created>`
Returns:
  the built object

### buildObject

@Nonnull public Created buildObject(@Nullable String namespaceURI, @Nonnull String localName, @Nullable String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<Created>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<Created>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject